GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

gdcm::QueryBase Member List
This is the complete list of members for gdcm::QueryBase, including all inherited members.

GetAllTags(const ERootType &inRootType) const | gdcm::QueryBase | `[virtual]`
GetName() const =0 | gdcm::QueryBase | `[pure virtual]`
GetOptionalTags(const ERootType &inRootType) const =0 | gdcm::QueryBase | `[pure virtual]`
GetQueryLevel() const =0 | gdcm::QueryBase | `[pure virtual]`
GetRequiredTags(const ERootType &inRootType) const =0 | gdcm::QueryBase | `[pure virtual]`
GetUniqueTags(const ERootType &inRootType) const =0 | gdcm::QueryBase | `[pure virtual]`
~QueryBase() | gdcm::QueryBase | `[inline, virtual]`